package com.ssj.service.conch.parents.request;

import java.util.List;
import java.util.Map;
import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

public class FeedbackProblemRequest extends BaseRequest {

    private static final long         serialVersionUID = 1L;

    @ApiModelProperty(name = "bizId", value = "业务Id", required = true)
    private String bizId;

    @ApiModelProperty(name = "type", value = "0保存1提交", required = false)
    private int type;

    @ApiModelProperty(name = "contentList", value = "文字list", required = false)
    private List<Map<String, String>>	contentList;

    @ApiModelProperty(name = "photoKeyList", value = "图片路径list", required = false)
    private List<Map<String, String>> photoKeyList;

    @ApiModelProperty(name = "voiceKeyList", value = "语音路径list", required = false)
    private List<Map<String, String>> voiceKeyList;
    
    @ApiModelProperty(name = "knowHowList", value = "知识点list", required = false)
    private List<Map<String, String>> knowHowList;

    public List<Map<String, String>> getContentList() {
		return contentList;
	}

	public void setContentList(List<Map<String, String>> contentList) {
		this.contentList = contentList;
	}

    public String getBizId() {
        return bizId;
    }

    public void setBizId(String bizId) {
        this.bizId = bizId;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public List<Map<String, String>> getPhotoKeyList() {
        return photoKeyList;
    }

    public void setPhotoKeyList(List<Map<String, String>> photoKeyList) {
        this.photoKeyList = photoKeyList;
    }

    public List<Map<String, String>> getVoiceKeyList() {
        return voiceKeyList;
    }

    public void setVoiceKeyList(List<Map<String, String>> voiceKeyList) {
        this.voiceKeyList = voiceKeyList;
    }

	public List<Map<String, String>> getKnowHowList() {
		return knowHowList;
	}

	public void setKnowHowList(List<Map<String, String>> knowHowList) {
		this.knowHowList = knowHowList;
	}

}
